_xexpr = ""
function calc(cmd) {
  if (cmd == "=") {
    return eval(_xexpr);
  } else if (cmd == "C") {
    _xexpr = "";
  } else if (cmd.toString().match(/^[0-9\-\+\*/]$/)) {
    _xexpr += cmd.toString();
  } else {
    return "ERROR";
  }
  return "";
}
